com.amazonaws.auth

## Enum RSA

- java.lang.Object
- - java.lang.Enum<RSA>
  - - com.amazonaws.auth.RSA

All Implemented Interfaces:
  Serializable, Comparable<RSA>

    public enum RSA
    extends Enum<RSA>

Utility for RSA keys.

### Method Summary

All Methods Static Methods Concrete Methods
`static PrivateKey` `privateKeyFromPKCS1(byte[] pkcs1)` Returns a private key constructed from the given DER bytes in PKCS#1 format.
`static PrivateKey` `privateKeyFromPKCS8(byte[] pkcs8)` Returns a private key constructed from the given DER bytes in PKCS#8 format.
`static PublicKey` `publicKeyFrom(byte[] derBytes)` Returns a public key constructed from the given DER bytes.
`static RSA` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RSA[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### values

    public static RSA[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RSA c : RSA.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RSA valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### privateKeyFromPKCS8

    public static PrivateKey privateKeyFromPKCS8(byte[] pkcs8)
                                          throws InvalidKeySpecException

Returns a private key constructed from the given DER bytes in PKCS#8 format.

Throws:
  `InvalidKeySpecException`

#### privateKeyFromPKCS1

    public static PrivateKey privateKeyFromPKCS1(byte[] pkcs1)
                                          throws InvalidKeySpecException

Returns a private key constructed from the given DER bytes in PKCS#1 format.

Throws:
  `InvalidKeySpecException`

#### publicKeyFrom

    public static PublicKey publicKeyFrom(byte[] derBytes)
                                   throws InvalidKeySpecException

Returns a public key constructed from the given DER bytes.

Throws:
  `InvalidKeySpecException`